Bug 1653792 - Content credential repo page is broken
Summary: Content credential repo page is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: GPG Keys
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: Oleksandr Shtaier
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 16:19 UTC by Oleksandr Shtaier
Modified: 2019-10-07 17:19 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:09 UTC


Attachments (Terms of Use)
Screenshot with issue (29.03 KB, image/png)
2018-11-27 16:19 UTC, Oleksandr Shtaier
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:16 UTC
Foreman Issue Tracker 25660 None None None 2018-12-10 16:29:55 UTC

Description Oleksandr Shtaier 2018-11-27 16:19:51 UTC
Created attachment 1508957 [details]
Screenshot with issue

Description of problem:

1) Search functionality just doesn't work no matter what data you put into the field
2) Page contain three empty rows for `SSL CA Cert`, `SSL Client Cert` and `SSL Client Key` which cannot be interacted in any way

If empty entities are expected, please confirm

Version-Release number of selected component (if applicable):
6.5.0

How reproducible:
Always

Steps to Reproduce:
1. Create valid gpg key
2. Assign key to valid yum repository
3. Open gpg key entity
4. Select 'Repositories' tab
5. Try to search for any entity

Actual results:
Search functionality doesn't work and page contains weird empty entities

Expected results:
Search functionality works as intended

Additional info:
Search request looks good:

2018-11-27T17:07:08 [I|app|] Started GET "/katello/api/v2/content_credentials/3?organization_id=77&page=1&paged=true&per_page=20&search=test" for xxxxxxxxx at 2018-11-27 17:07:08 +0100

2018-11-27T17:07:08 [I|app|878a0] Processing by Katello::Api::V2::ContentCredentialsController#show as JSON

2018-11-27T17:07:08 [I|app|878a0]   Parameters: {"organization_id"=>"77", "page"=>"1", "paged"=>"true", "per_page"=>"20", "search"=>"test", "api_version"=>"v2", "id"=>"3"}

2018-11-27T17:07:09 [I|app|878a0] Current user set to admin (admin)

2018-11-27T17:07:09 [I|app|878a0]   Rendering /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0/app/views/katello/api/v2/content_credentials/show.json.rabl within katello/api/v2/layouts/resource

2018-11-27T17:07:09 [I|app|878a0]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.9.0/app/views/katello/api/v2/content_credentials/show.json.rabl within katello/api/v2/layouts/resource (13.2ms)

2018-11-27T17:07:09 [I|app|878a0] Completed 200 OK in 19ms (Views: 10.8ms | ActiveRecord: 4.4ms)

Comment 3 Oleksandr Shtaier 2018-11-27 16:23:27 UTC
Most of GPG keys test cases are blocked (~13)

Comment 4 John Mitsch 2018-12-10 16:29:53 UTC
Created redmine issue https://projects.theforeman.org/issues/25660 from this bug

Comment 5 pm-sat@redhat.com 2018-12-10 17:05:51 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 6 pm-sat@redhat.com 2018-12-10 17:05:53 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 7 pm-sat@redhat.com 2018-12-11 23:05:50 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25660 has been resolved.

Comment 8 Oleksandr Shtaier 2018-12-27 12:51:03 UTC
Note: Probably, that was initial idea, but it is necessary to mention that we have 'Filter' functionality for 'Repository' page, not 'Search'

Verified on 6.5.0 snap 9

List of packages:
candlepin-2.5.8-1.el7.noarch
candlepin-selinux-2.5.8-1.el7.noarch
foreman-1.20.1.2-1.el7sat.noarch
foreman-bootloaders-redhat-201801241201-3.el7sat.noarch
foreman-bootloaders-redhat-tftpboot-201801241201-3.el7sat.noarch
foreman-cli-1.20.1.2-1.el7sat.noarch
foreman-compute-1.20.1.2-1.el7sat.noarch
foreman-debug-1.20.1.2-1.el7sat.noarch
foreman-discovery-image-3.5.3-1.el7sat.noarch
...


1) Executed whole ui_airgun/test_contentcredential.py suite

```
py.test .../Desktop/robottelo/tests/foreman/ui_airgun/test_contentcredential.py 
=== test session starts ===
platform linux -- Python 3.6.5, pytest-4.0.1, py-1.5.3, pluggy-0.8.0
shared_function enabled - OFF - scope:  - storage: file
rootdir: .../Desktop/robottelo, inifile:
plugins: services-1.2.1, mock-1.6.3
collecting ... 2018-12-27 14:07:46 - conftest - DEBUG - BZ deselect is disabled in settings

collected 16 items                                                                                                                                                                           

tests/foreman/ui_airgun/test_contentcredential.py ................                                                                                                                     [100%]

=== 16 passed in 1606.79 seconds ===
```

2) Tested manually using steps from bug description


All scenario works as expected

Comment 11 errata-xmlrpc 2019-05-14 12:39:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.